%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 1.0.48
%define release	1mdk

%define realname RRDtool
%define modname rrdtool
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 61_%{modname}.ini
%define mod_src rrdtool.c
%define mod_lib "-lrrd -lpng -lz -lm"
%define mod_def "-DHAVE_RRDTOOL -DCOMPILE_DL_RRDTOOL"

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/
License:	GPL
Source0:	%{name}-%{rversion}.tar.bz2
Requires:	php%{libversion}
BuildRequires:	rrdtool-devel >= %{rversion}
BuildRequires:	php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{rname} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP.
PHP is an HTML-embedded scripting language.
If you need %{realname} support for PHP applications,
you will need to install this package in addition to the php package.

%prep

%setup -q -n %{name}-%{rversion}

%build

#phpize --clean
#phpize
#%%configure2_5x \
#    --enable-%{modname}=shared,%{_prefix}
#%make
#mv modules/*.so .

%{phpsource}/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -m0755 %{soname} %{buildroot}%{phpdir}/extensions/

%{__cat} > README.%{modname} <<EOF
The %{rname} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.%{modname} USAGE README INSTALL examples
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.48-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.48-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.48-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.48-1mdk
- initial cooker contrib
